roar_simple_close(3)

NAME
roar_simple_close - close a simple RoarAudio connection

SYNOPSIS

#include <roaraudio.h>

int roar_simple_close(int fh);

DESCRIPTION
Closes a filehandle opened via roar_simple_play(3), roar_simple_monitor(3), roar_simple_record(3), roar_simple_filter(3) or roar_simple_new_stream(3).

This function was removed in version 1.0beta0-pr0. Use roar_vs_close(3).

PARAMETERS

fh  The filehandle to be closed.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
Examples of these calls are the tools roarcat(1), roarmon(1), roarrec(1) and roarfilt(1). Just look at there code. They aren't that complex.

SEE ALSO
roar_vs_close(3), roar_simple_play(3), roar_simple_monitor(3), roar_simple_record(3), roar_simple_filter(3), roar_simple_new_stream(3), libroar(7), RoarAudio(7).